# wellview-sdk-api
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.6
- Package version: 1.0.6
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import wellview_sdk_api 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import wellview_sdk_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import wellview_sdk_api
from wellview_sdk_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = wellview_sdk_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = wellview_sdk_api.DefaultApi(wellview_sdk_api.ApiClient(configuration))
library_name = 'library_name_example' # str | 

try:
    # GetWellViewLibrary
    api_response = api_instance.getwellviewlibrary(library_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->getwellviewlibrary: %s\n" % e)

# Configure API key authorization: bearerAuth
configuration = wellview_sdk_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = wellview_sdk_api.DefaultApi(wellview_sdk_api.ApiClient(configuration))
library_name = 'library_name_example' # str | 

try:
    # GetWellViewLibraryTable
    api_response = api_instance.getwellviewlibrarytable(library_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->getwellviewlibrarytable: %s\n" % e)

# Configure API key authorization: bearerAuth
configuration = wellview_sdk_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = wellview_sdk_api.DefaultApi(wellview_sdk_api.ApiClient(configuration))
table_names = 'table_names_example' # str | 

try:
    # GetWellViewTableStructure
    api_response = api_instance.getwellviewtablestructure(table_names)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->getwellviewtablestructure: %s\n" % e)

# Configure API key authorization: bearerAuth
configuration = wellview_sdk_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = wellview_sdk_api.DefaultApi(wellview_sdk_api.ApiClient(configuration))
body = wellview_sdk_api.WellViewWriteTableStructure() # WellViewWriteTableStructure |  (optional)

try:
    # WriteData
    api_response = api_instance.writedata(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->writedata: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to * https://localhost/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**getwellviewlibrary**](docs/DefaultApi.md#getwellviewlibrary) | **GET** /GetWellViewLibrary | GetWellViewLibrary
*DefaultApi* | [**getwellviewlibrarytable**](docs/DefaultApi.md#getwellviewlibrarytable) | **GET** /GetWellViewLibraryTable | GetWellViewLibraryTable
*DefaultApi* | [**getwellviewtablestructure**](docs/DefaultApi.md#getwellviewtablestructure) | **GET** /GetWellViewTableStructure | GetWellViewTableStructure
*DefaultApi* | [**writedata**](docs/DefaultApi.md#writedata) | **POST** /WriteData | WriteData

## Documentation For Models

 - [AFECostData](docs/AFECostData.md)
 - [AFEData](docs/AFEData.md)
 - [AccessoryData](docs/AccessoryData.md)
 - [ActionRequiredData](docs/ActionRequiredData.md)
 - [ActionTakenData](docs/ActionTakenData.md)
 - [ActiveInactiveDateOverridesData](docs/ActiveInactiveDateOverridesData.md)
 - [AdditionalDullGradingData](docs/AdditionalDullGradingData.md)
 - [AgreementData](docs/AgreementData.md)
 - [AgreementDateData](docs/AgreementDateData.md)
 - [AgreementLinkData](docs/AgreementLinkData.md)
 - [AnchorData](docs/AnchorData.md)
 - [AnnularFluidData](docs/AnnularFluidData.md)
 - [ApprovalProcessData](docs/ApprovalProcessData.md)
 - [ApproveData](docs/ApproveData.md)
 - [AttachmentData](docs/AttachmentData.md)
 - [AttributeData](docs/AttributeData.md)
 - [BOPData](docs/BOPData.md)
 - [BadActorMOCData](docs/BadActorMOCData.md)
 - [BitNozzleData](docs/BitNozzleData.md)
 - [BottomHoleCoreData](docs/BottomHoleCoreData.md)
 - [CarterLocationData](docs/CarterLocationData.md)
 - [CasingCompStatusHistoryData](docs/CasingCompStatusHistoryData.md)
 - [CasingComponentData](docs/CasingComponentData.md)
 - [CasingStringsData](docs/CasingStringsData.md)
 - [CauseAnalysisData](docs/CauseAnalysisData.md)
 - [CementData](docs/CementData.md)
 - [CementFluidAdditiveData](docs/CementFluidAdditiveData.md)
 - [CementFluidData](docs/CementFluidData.md)
 - [CementFluidViscometerReadingData](docs/CementFluidViscometerReadingData.md)
 - [CementStageData](docs/CementStageData.md)
 - [CentrifugeCycloneCheckData](docs/CentrifugeCycloneCheckData.md)
 - [CentrifugeCycloneData](docs/CentrifugeCycloneData.md)
 - [CommentsData](docs/CommentsData.md)
 - [CompletionAliasHistoryData](docs/CompletionAliasHistoryData.md)
 - [CompletionData](docs/CompletionData.md)
 - [CompletionLinksData](docs/CompletionLinksData.md)
 - [CompletionStatusData](docs/CompletionStatusData.md)
 - [CongressionalLocationData](docs/CongressionalLocationData.md)
 - [ContinuousChemicalInjectionData](docs/ContinuousChemicalInjectionData.md)
 - [ControlLineDetailData](docs/ControlLineDetailData.md)
 - [CrewTrainingData](docs/CrewTrainingData.md)
 - [CriteriaData](docs/CriteriaData.md)
 - [DLSLocationData](docs/DLSLocationData.md)
 - [DailyOperationData](docs/DailyOperationData.md)
 - [DailyPressureData](docs/DailyPressureData.md)
 - [DataObligationData](docs/DataObligationData.md)
 - [DateOverrideData](docs/DateOverrideData.md)
 - [DeliverableData](docs/DeliverableData.md)
 - [DetailedAnalysisData](docs/DetailedAnalysisData.md)
 - [DeviationSurveyData](docs/DeviationSurveyData.md)
 - [DischargeData](docs/DischargeData.md)
 - [DownTimeData](docs/DownTimeData.md)
 - [DrillBitData](docs/DrillBitData.md)
 - [DrillStringComponentData](docs/DrillStringComponentData.md)
 - [DrillStringData](docs/DrillStringData.md)
 - [DrillingParameterData](docs/DrillingParameterData.md)
 - [DrillingParameterProgramData](docs/DrillingParameterProgramData.md)
 - [DynamometerTestData](docs/DynamometerTestData.md)
 - [DynamometerTestDataData](docs/DynamometerTestDataData.md)
 - [ESPDetailData](docs/ESPDetailData.md)
 - [ESPIntakeData](docs/ESPIntakeData.md)
 - [ESPMotorsData](docs/ESPMotorsData.md)
 - [ESPPowerCableIntervalData](docs/ESPPowerCableIntervalData.md)
 - [ESPPumpData](docs/ESPPumpData.md)
 - [ElectricData](docs/ElectricData.md)
 - [ElevationHistoryData](docs/ElevationHistoryData.md)
 - [EquipmentPressureTestData](docs/EquipmentPressureTestData.md)
 - [EquipmentPressureTestDataData](docs/EquipmentPressureTestDataData.md)
 - [EvaluationDataData](docs/EvaluationDataData.md)
 - [ExternalCasingPackerData](docs/ExternalCasingPackerData.md)
 - [ExternalDataData](docs/ExternalDataData.md)
 - [ExternalReportingData](docs/ExternalReportingData.md)
 - [ExternalReportingDetailData](docs/ExternalReportingDetailData.md)
 - [ExternalReportingDetailListData](docs/ExternalReportingDetailListData.md)
 - [FPSLocationData](docs/FPSLocationData.md)
 - [FailedComponentLinkDetailData](docs/FailedComponentLinkDetailData.md)
 - [FinalInvoicedCostData](docs/FinalInvoicedCostData.md)
 - [FlowRateData](docs/FlowRateData.md)
 - [FlowingWellDetailData](docs/FlowingWellDetailData.md)
 - [FluidAdditiveCompositionData](docs/FluidAdditiveCompositionData.md)
 - [FluidAdditiveData](docs/FluidAdditiveData.md)
 - [FluidAnalysisData](docs/FluidAnalysisData.md)
 - [FluidLevelTestsData](docs/FluidLevelTestsData.md)
 - [FluidSystemData](docs/FluidSystemData.md)
 - [FormationData](docs/FormationData.md)
 - [FormationFluidData](docs/FormationFluidData.md)
 - [GasCompositionData](docs/GasCompositionData.md)
 - [GasEmissionData](docs/GasEmissionData.md)
 - [GasLiftDetailData](docs/GasLiftDetailData.md)
 - [GasPropertiesData](docs/GasPropertiesData.md)
 - [GasShowDataData](docs/GasShowDataData.md)
 - [GaugeData](docs/GaugeData.md)
 - [GeneralNoteData](docs/GeneralNoteData.md)
 - [GeologicalEvaluationData](docs/GeologicalEvaluationData.md)
 - [GeologicalSamplingRequirementData](docs/GeologicalSamplingRequirementData.md)
 - [GeologicalSummaryData](docs/GeologicalSummaryData.md)
 - [GrainSizeData](docs/GrainSizeData.md)
 - [GravelPackData](docs/GravelPackData.md)
 - [HeadCountsData](docs/HeadCountsData.md)
 - [HydrocarbonLiquidCompositionData](docs/HydrocarbonLiquidCompositionData.md)
 - [HydrocarbonLiquidPropertiesData](docs/HydrocarbonLiquidPropertiesData.md)
 - [InjectivityTestData](docs/InjectivityTestData.md)
 - [InspectionCheckListData](docs/InspectionCheckListData.md)
 - [InspectionDetailData](docs/InspectionDetailData.md)
 - [IntegrityItemData](docs/IntegrityItemData.md)
 - [IntegrityItemLinkData](docs/IntegrityItemLinkData.md)
 - [IntegrityProgramData](docs/IntegrityProgramData.md)
 - [InterestDetailData](docs/InterestDetailData.md)
 - [InternalCombustionData](docs/InternalCombustionData.md)
 - [IntervalFlowPeriodsData](docs/IntervalFlowPeriodsData.md)
 - [IntervalLessonData](docs/IntervalLessonData.md)
 - [IntervalTestDataData](docs/IntervalTestDataData.md)
 - [IntervalTestsData](docs/IntervalTestsData.md)
 - [JackUpLegData](docs/JackUpLegData.md)
 - [JobContactsData](docs/JobContactsData.md)
 - [JobData](docs/JobData.md)
 - [JobDateData](docs/JobDateData.md)
 - [JobPhasesData](docs/JobPhasesData.md)
 - [JobResourceData](docs/JobResourceData.md)
 - [JobSuppliesData](docs/JobSuppliesData.md)
 - [JobSupplyAmountData](docs/JobSupplyAmountData.md)
 - [JointData](docs/JointData.md)
 - [KickData](docs/KickData.md)
 - [KickOffKeyDepthData](docs/KickOffKeyDepthData.md)
 - [KickPressureData](docs/KickPressureData.md)
 - [LOTAndFITTestDataData](docs/LOTAndFITTestDataData.md)
 - [LateralComponentAccessoryData](docs/LateralComponentAccessoryData.md)
 - [LateralComponentData](docs/LateralComponentData.md)
 - [LatitudeLongitudeUTMxUTMyData](docs/LatitudeLongitudeUTMxUTMyData.md)
 - [LeakOffAndFormationIntegrityTestData](docs/LeakOffAndFormationIntegrityTestData.md)
 - [LeaseFluidData](docs/LeaseFluidData.md)
 - [LinerHangerData](docs/LinerHangerData.md)
 - [LithologyData](docs/LithologyData.md)
 - [LogCurveData](docs/LogCurveData.md)
 - [LogData](docs/LogData.md)
 - [LoggingToolData](docs/LoggingToolData.md)
 - [LostCirculationData](docs/LostCirculationData.md)
 - [MandrelData](docs/MandrelData.md)
 - [MandrelInsertData](docs/MandrelInsertData.md)
 - [MaterialWasteTransferData](docs/MaterialWasteTransferData.md)
 - [MaterialWasteTransferDetailsData](docs/MaterialWasteTransferDetailsData.md)
 - [MudAdditiveAmountData](docs/MudAdditiveAmountData.md)
 - [MudAdditiveData](docs/MudAdditiveData.md)
 - [MudCheckData](docs/MudCheckData.md)
 - [MudMotorData](docs/MudMotorData.md)
 - [MudProgramData](docs/MudProgramData.md)
 - [MudPumpData](docs/MudPumpData.md)
 - [MudVolumeData](docs/MudVolumeData.md)
 - [NTSLocationData](docs/NTSLocationData.md)
 - [NorthEastLocationData](docs/NorthEastLocationData.md)
 - [NorthSeaLocationData](docs/NorthSeaLocationData.md)
 - [OfflineActivityData](docs/OfflineActivityData.md)
 - [OfflineActivityDateData](docs/OfflineActivityDateData.md)
 - [OfflineActivityTimeLogData](docs/OfflineActivityTimeLogData.md)
 - [OffshoreDetailData](docs/OffshoreDetailData.md)
 - [OffshoreLocationData](docs/OffshoreLocationData.md)
 - [OhioLocationData](docs/OhioLocationData.md)
 - [OilDistillationData](docs/OilDistillationData.md)
 - [OilPropertiesData](docs/OilPropertiesData.md)
 - [OilShowsData](docs/OilShowsData.md)
 - [OilViscosityData](docs/OilViscosityData.md)
 - [OneTimeCostData](docs/OneTimeCostData.md)
 - [OpParamData](docs/OpParamData.md)
 - [OperatingProblemsData](docs/OperatingProblemsData.md)
 - [OperatorHistoryData](docs/OperatorHistoryData.md)
 - [OtherAnnotationData](docs/OtherAnnotationData.md)
 - [OtherCirculationData](docs/OtherCirculationData.md)
 - [OtherEquipmentData](docs/OtherEquipmentData.md)
 - [OtherEquipmentOpData](docs/OtherEquipmentOpData.md)
 - [OtherGasShowsData](docs/OtherGasShowsData.md)
 - [OtherInHoleData](docs/OtherInHoleData.md)
 - [OtherInHolePackerData](docs/OtherInHolePackerData.md)
 - [OtherInHoleStatusData](docs/OtherInHoleStatusData.md)
 - [OtherPickData](docs/OtherPickData.md)
 - [OtherStringCompStatusHistoryData](docs/OtherStringCompStatusHistoryData.md)
 - [OtherStringComponentData](docs/OtherStringComponentData.md)
 - [PCPDetailData](docs/PCPDetailData.md)
 - [PCPRotorDetailData](docs/PCPRotorDetailData.md)
 - [PCPStatorDetailsData](docs/PCPStatorDetailsData.md)
 - [PackerData](docs/PackerData.md)
 - [PartnerAndInternalContactsData](docs/PartnerAndInternalContactsData.md)
 - [PerforationData](docs/PerforationData.md)
 - [PerforationStatusData](docs/PerforationStatusData.md)
 - [PersonnelonLocationData](docs/PersonnelonLocationData.md)
 - [PhaseRiskData](docs/PhaseRiskData.md)
 - [PhaseRiskImpactData](docs/PhaseRiskImpactData.md)
 - [PhaseScopeChangeData](docs/PhaseScopeChangeData.md)
 - [PhaseStepsData](docs/PhaseStepsData.md)
 - [PhaseTimeBreakdownData](docs/PhaseTimeBreakdownData.md)
 - [PhaseZoneCompletionAllocationData](docs/PhaseZoneCompletionAllocationData.md)
 - [PlugBackTotalDepthData](docs/PlugBackTotalDepthData.md)
 - [PlungerLiftData](docs/PlungerLiftData.md)
 - [PlungerLiftDetailData](docs/PlungerLiftDetailData.md)
 - [PolishRodData](docs/PolishRodData.md)
 - [PopOffValveSettingData](docs/PopOffValveSettingData.md)
 - [PorosityData](docs/PorosityData.md)
 - [PrerequisiteData](docs/PrerequisiteData.md)
 - [PressureRateConcDetailData](docs/PressureRateConcDetailData.md)
 - [PressureRatingData](docs/PressureRatingData.md)
 - [PressureTraverseData](docs/PressureTraverseData.md)
 - [ProcessStepData](docs/ProcessStepData.md)
 - [ProductionGasData](docs/ProductionGasData.md)
 - [ProductionLiquidData](docs/ProductionLiquidData.md)
 - [ProductionLogTestIntervalsData](docs/ProductionLogTestIntervalsData.md)
 - [ProductionLogTestsData](docs/ProductionLogTestsData.md)
 - [ProductionSettingData](docs/ProductionSettingData.md)
 - [ProductionTestData](docs/ProductionTestData.md)
 - [ProductionTubingStringsData](docs/ProductionTubingStringsData.md)
 - [ProductionVolumeData](docs/ProductionVolumeData.md)
 - [ProppantData](docs/ProppantData.md)
 - [PumpCheckData](docs/PumpCheckData.md)
 - [PumpOperationData](docs/PumpOperationData.md)
 - [PumpingPrimeMoverData](docs/PumpingPrimeMoverData.md)
 - [PumpingSummaryData](docs/PumpingSummaryData.md)
 - [PumpingUnitAuxiliaryWeightData](docs/PumpingUnitAuxiliaryWeightData.md)
 - [PumpingUnitCounterWeightData](docs/PumpingUnitCounterWeightData.md)
 - [PumpingUnitData](docs/PumpingUnitData.md)
 - [QualifierData](docs/QualifierData.md)
 - [RFTData](docs/RFTData.md)
 - [RFTDataData](docs/RFTDataData.md)
 - [RFTFluidData](docs/RFTFluidData.md)
 - [RFTGaugesData](docs/RFTGaugesData.md)
 - [RecurringCostData](docs/RecurringCostData.md)
 - [RecurringCostSetupData](docs/RecurringCostSetupData.md)
 - [ReferenceWellData](docs/ReferenceWellData.md)
 - [ReservoirDetailsData](docs/ReservoirDetailsData.md)
 - [ResponsibleTeamData](docs/ResponsibleTeamData.md)
 - [RigCrewData](docs/RigCrewData.md)
 - [RigCrewHoursData](docs/RigCrewHoursData.md)
 - [RigLineCheckData](docs/RigLineCheckData.md)
 - [RigLineData](docs/RigLineData.md)
 - [RigsUnitsData](docs/RigsUnitsData.md)
 - [RigsUnitsDatesData](docs/RigsUnitsDatesData.md)
 - [RiserDiverterComponentsData](docs/RiserDiverterComponentsData.md)
 - [RisersDiverterData](docs/RisersDiverterData.md)
 - [RodComponentData](docs/RodComponentData.md)
 - [RodPumpData](docs/RodPumpData.md)
 - [RodPumpDetailData](docs/RodPumpDetailData.md)
 - [RodStringsData](docs/RodStringsData.md)
 - [SSSVData](docs/SSSVData.md)
 - [SSSVInsertData](docs/SSSVInsertData.md)
 - [SSSVTestData](docs/SSSVTestData.md)
 - [SSSVTestDataData](docs/SSSVTestDataData.md)
 - [STOPCardsAndJSAData](docs/STOPCardsAndJSAData.md)
 - [SafetyCheckData](docs/SafetyCheckData.md)
 - [SafetyIncidentData](docs/SafetyIncidentData.md)
 - [SampleDescriptionData](docs/SampleDescriptionData.md)
 - [SandControlEquipData](docs/SandControlEquipData.md)
 - [SchematicAnnotationData](docs/SchematicAnnotationData.md)
 - [SensorData](docs/SensorData.md)
 - [SensorDetailData](docs/SensorDetailData.md)
 - [SensorSpecificationData](docs/SensorSpecificationData.md)
 - [ServiceContractorData](docs/ServiceContractorData.md)
 - [ServiceProblemsNPTData](docs/ServiceProblemsNPTData.md)
 - [ServiceTubingStringsData](docs/ServiceTubingStringsData.md)
 - [SettingData](docs/SettingData.md)
 - [ShakerCheckData](docs/ShakerCheckData.md)
 - [ShakerData](docs/ShakerData.md)
 - [ShakerScreenData](docs/ShakerScreenData.md)
 - [SidewallCoreData](docs/SidewallCoreData.md)
 - [SidewallCoreSampleData](docs/SidewallCoreSampleData.md)
 - [SignOffQCData](docs/SignOffQCData.md)
 - [SlottedLinerLinerScreenData](docs/SlottedLinerLinerScreenData.md)
 - [SourceDestinationData](docs/SourceDestinationData.md)
 - [StabilizersData](docs/StabilizersData.md)
 - [StatusHistoryData](docs/StatusHistoryData.md)
 - [StimulationSummaryData](docs/StimulationSummaryData.md)
 - [StimulationsOtherTreatmentsData](docs/StimulationsOtherTreatmentsData.md)
 - [SupportVesselData](docs/SupportVesselData.md)
 - [SurfaceControlEquipmentData](docs/SurfaceControlEquipmentData.md)
 - [SurfaceControlEquipmentLinkData](docs/SurfaceControlEquipmentLinkData.md)
 - [SurveillanceNotesData](docs/SurveillanceNotesData.md)
 - [SurveyDataData](docs/SurveyDataData.md)
 - [SwabData](docs/SwabData.md)
 - [SwabDetailData](docs/SwabDetailData.md)
 - [SystemIntegrationData](docs/SystemIntegrationData.md)
 - [TallyData](docs/TallyData.md)
 - [TankData](docs/TankData.md)
 - [TaskData](docs/TaskData.md)
 - [TaskDetailData](docs/TaskDetailData.md)
 - [TestDataData](docs/TestDataData.md)
 - [TestResultData](docs/TestResultData.md)
 - [TexasLocationData](docs/TexasLocationData.md)
 - [ThrusterData](docs/ThrusterData.md)
 - [TimeCurvesData](docs/TimeCurvesData.md)
 - [TimeLogData](docs/TimeLogData.md)
 - [TubCompStatusHistoryData](docs/TubCompStatusHistoryData.md)
 - [TubingComponentData](docs/TubingComponentData.md)
 - [TubingPumpData](docs/TubingPumpData.md)
 - [TubingRunTallyData](docs/TubingRunTallyData.md)
 - [ValueData](docs/ValueData.md)
 - [VariableSpeedFixedSpeedDriveDetailData](docs/VariableSpeedFixedSpeedDriveDetailData.md)
 - [VerticalComponentAccessoryData](docs/VerticalComponentAccessoryData.md)
 - [VerticalComponentData](docs/VerticalComponentData.md)
 - [VictimData](docs/VictimData.md)
 - [WVTable](docs/WVTable.md)
 - [WaterCompositionData](docs/WaterCompositionData.md)
 - [WaterPropertiesData](docs/WaterPropertiesData.md)
 - [WellAliasHistoryData](docs/WellAliasHistoryData.md)
 - [WellBarrierAnnotationData](docs/WellBarrierAnnotationData.md)
 - [WellBarrierEnvelopeData](docs/WellBarrierEnvelopeData.md)
 - [WellBarrierLinkData](docs/WellBarrierLinkData.md)
 - [WellBarrierTypeData](docs/WellBarrierTypeData.md)
 - [WellFluidData](docs/WellFluidData.md)
 - [WellHeaderData](docs/WellHeaderData.md)
 - [WellReviewContactData](docs/WellReviewContactData.md)
 - [WellReviewData](docs/WellReviewData.md)
 - [WellStatusHistoryData](docs/WellStatusHistoryData.md)
 - [WellTestData](docs/WellTestData.md)
 - [WellViewLibrary](docs/WellViewLibrary.md)
 - [WellViewLibraryTable](docs/WellViewLibraryTable.md)
 - [WellViewTableAction](docs/WellViewTableAction.md)
 - [WellViewTableActionData](docs/WellViewTableActionData.md)
 - [WellViewTableActionEnum](docs/WellViewTableActionEnum.md)
 - [WellViewTableStructure](docs/WellViewTableStructure.md)
 - [WellViewWriteTableAction](docs/WellViewWriteTableAction.md)
 - [WellViewWriteTableActionData](docs/WellViewWriteTableActionData.md)
 - [WellViewWriteTableResponse](docs/WellViewWriteTableResponse.md)
 - [WellViewWriteTableStructure](docs/WellViewWriteTableStructure.md)
 - [WellboreAliasHistoryData](docs/WellboreAliasHistoryData.md)
 - [WellboreData](docs/WellboreData.md)
 - [WellboreLinkData](docs/WellboreLinkData.md)
 - [WellboreOtherData](docs/WellboreOtherData.md)
 - [WellboreReservoirData](docs/WellboreReservoirData.md)
 - [WellboreSectionData](docs/WellboreSectionData.md)
 - [WellboreStatusData](docs/WellboreStatusData.md)
 - [WellheadAndChristmasTreeSystemData](docs/WellheadAndChristmasTreeSystemData.md)
 - [WellheadDriversData](docs/WellheadDriversData.md)
 - [ZoneAliasHistoryData](docs/ZoneAliasHistoryData.md)
 - [ZoneAllocationData](docs/ZoneAllocationData.md)
 - [ZoneData](docs/ZoneData.md)
 - [ZoneRelationshipData](docs/ZoneRelationshipData.md)
 - [ZoneStatusData](docs/ZoneStatusData.md)

## Documentation For Authorization


## bearerAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author


